// RTHMSharedMemorySampleDlg.h : header file
//

#if !defined(AFX_RTHMSHAREDMEMORYSAMPLEDLG_H__7725E949_F929_49A9_AFBE_468EFA16948B__INCLUDED_)
#define AFX_RTHMSHAREDMEMORYSAMPLEDLG_H__7725E949_F929_49A9_AFBE_468EFA16948B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "RTHMSharedMemory.h"

/////////////////////////////////////////////////////////////////////////////
// CRTHMSharedMemorySampleDlg dialog
/////////////////////////////////////////////////////////////////////////////
class CRTHMSharedMemorySampleDlg : public CDialog
{
// Construction
public:
	void Disconnect();
	CRTHMSharedMemorySampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CRTHMSharedMemorySampleDlg)
	enum { IDD = IDD_RTHMSHAREDMEMORYSAMPLE_DIALOG };
	CString	m_strStatus;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRTHMSharedMemorySampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	UINT	m_nTimerID;
	HANDLE	m_hMapFile;
	LPVOID	m_pMapAddr;

	void Connect();
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CRTHMSharedMemorySampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RTHMSHAREDMEMORYSAMPLEDLG_H__7725E949_F929_49A9_AFBE_468EFA16948B__INCLUDED_)
